Xzabite dyndnsupdate: Multiple vulnerabilities — GLSA 200503-27

Xzabite's dyndnsupdate software suffers from multiple vulnerabilities, potentially resulting in the remote execution of arbitrary code.

Affected Packages

net-misc/dyndnsupdate on all architectures
Affected versions <= 0.6.15
Unaffected versions

Background

dyndnsupdate is a dyndns.org data updater written by Fredrik "xzabite" Haglund.

Description

Toby Dickenson discovered that dyndnsupdate suffers from multiple overflows.

Impact

A remote attacker, posing as a dyndns.org server, could execute arbitrary code with the rights of the user running dyndnsupdate.

Workaround

There is no known workaround at this time.

Resolution

Currently, there is no released version of dyndnsupdate that contains a fix for these issues. The original xzabite.org distribution site is dead, the code contains several other problems and more secure alternatives exist, such as the net-dns/ddclient package. Therefore, the dyndnsupdate package has been hard-masked prior to complete removal from Portage, and current users are advised to unmerge the package:

 # emerge --unmerge net-misc/dyndnsupdate

References

Release Date
March 21, 2005

Latest Revision
May 22, 2006: 02

Severity
normal

Exploitable
remote

Bugzilla entries